package types

import "p78git.ddns.net/svi/gobus/pkg/alias"

// ITopic -- интерфейс топика шины данных
type ITopic interface {
	// Name -- возвращает имя топика
	Name() alias.TopicName
	// Set -- устанавливает содержимое топика
	Set(srcNum int, val []byte)
	// Get -- возвращает содержимое топика
	Get() []byte
	// Size -- возвращает размер топика
	Size() int
}
